#ifndef __LODINFO_H
#define __LODINFO_H

#include "common.h"
#include "Vector3.h"


namespace CHCDemoEngine 
{

/** Class representing information about an LOD level.
*/
struct LODLevel
{
public:
	
	LODLevel(float squaredDist): mSquaredDistance(squaredDist) {}


	/// distance of this LOD level
	float mSquaredDistance;
	/// shapes belonging to this LOD level
	ShapeContainer mShapes;


	/** Has to be called each frame in order to use proper LOD level.
	*/
	static void InitFrame(const Vector3 &viewPoint);

	static int sFrameId;
	static Vector3 sViewPoint;
};

}

#endif // __LODINFO_H